<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>updateTransportModel &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>updateTransportModel
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.1% of total for procedures.">12 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/physicalConstants.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/physicalconstants.f03.html'>physicalConstants.f03</a></li>
    
     <li><a href='../module/physicalconstants.html'>physicalConstants</a></li>
    
  
     <li class="active">updateTransportModel</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine updateTransportModel()
    
    
   
</h2>
    
  


    
    <p>updateTransportModel updates density and viscosity as function of cositutive law or temperature.</p>
    

    <h3>Arguments</h3>
    
    <em>None</em>
    <br>
    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~updatetransportmodel~~CallsGraph Pages: 1 -->
<svg id="procupdatetransportmodelCallsGraph" width="348pt" height="158pt"
 viewBox="0.00 0.00 348.00 158.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~updatetransportmodel~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 154)">
<title>proc~~updatetransportmodel~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-154 344,-154 344,4 -4,4"/>
<!-- proc~updatetransportmodel -->
<g id="proc~~updatetransportmodel~~CallsGraph_node1" class="node">
<title>proc~updatetransportmodel</title>
<polygon fill="none" stroke="#000000" points="120,-87 0,-87 0,-63 120,-63 120,-87"/>
<text text-anchor="middle" x="60" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">updateTransportModel</text>
</g>
<!-- proc~herschelbulkley -->
<g id="proc~~updatetransportmodel~~CallsGraph_node2" class="node">
<title>proc~herschelbulkley</title>
<g id="a_proc~~updatetransportmodel~~CallsGraph_node2"><a xlink:href=".././proc/herschelbulkley.html" xlink:title="herschelBulkley">
<polygon fill="#d9534f" stroke="#d9534f" points="243,-150 156,-150 156,-126 243,-126 243,-150"/>
<text text-anchor="middle" x="199.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">herschelBulkley</text>
</a>
</g>
</g>
<!-- proc~updatetransportmodel&#45;&gt;proc~herschelbulkley -->
<g id="proc~~updatetransportmodel~~CallsGraph_edge1" class="edge">
<title>proc~updatetransportmodel&#45;&gt;proc~herschelbulkley</title>
<path fill="none" stroke="#000000" d="M86.897,-87.147C108.7045,-96.9956 139.6366,-110.9649 163.5647,-121.7711"/>
<polygon fill="#000000" stroke="#000000" points="162.1313,-124.9641 172.6856,-125.8903 165.0124,-118.5845 162.1313,-124.9641"/>
</g>
<!-- proc~birdcarreau -->
<g id="proc~~updatetransportmodel~~CallsGraph_node3" class="node">
<title>proc~birdcarreau</title>
<g id="a_proc~~updatetransportmodel~~CallsGraph_node3"><a xlink:href=".././proc/birdcarreau.html" xlink:title="birdCarreau">
<polygon fill="#d9534f" stroke="#d9534f" points="234,-108 165,-108 165,-84 234,-84 234,-108"/>
<text text-anchor="middle" x="199.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">birdCarreau</text>
</a>
</g>
</g>
<!-- proc~updatetransportmodel&#45;&gt;proc~birdcarreau -->
<g id="proc~~updatetransportmodel~~CallsGraph_edge2" class="edge">
<title>proc~updatetransportmodel&#45;&gt;proc~birdcarreau</title>
<path fill="none" stroke="#000000" d="M120.3754,-84.0888C131.8706,-85.8192 143.7118,-87.6018 154.6194,-89.2438"/>
<polygon fill="#000000" stroke="#000000" points="154.3397,-92.741 164.7493,-90.7687 155.3818,-85.819 154.3397,-92.741"/>
</g>
<!-- proc~powerlaw -->
<g id="proc~~updatetransportmodel~~CallsGraph_node4" class="node">
<title>proc~powerlaw</title>
<g id="a_proc~~updatetransportmodel~~CallsGraph_node4"><a xlink:href=".././proc/powerlaw.html" xlink:title="powerLaw">
<polygon fill="#d9534f" stroke="#d9534f" points="230,-66 169,-66 169,-42 230,-42 230,-66"/>
<text text-anchor="middle" x="199.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">powerLaw</text>
</a>
</g>
</g>
<!-- proc~updatetransportmodel&#45;&gt;proc~powerlaw -->
<g id="proc~~updatetransportmodel~~CallsGraph_edge3" class="edge">
<title>proc~updatetransportmodel&#45;&gt;proc~powerlaw</title>
<path fill="none" stroke="#000000" d="M120.3754,-65.9112C133.3606,-63.9565 146.7873,-61.9352 158.8109,-60.1252"/>
<polygon fill="#000000" stroke="#000000" points="159.6021,-63.5457 168.9697,-58.596 158.56,-56.6236 159.6021,-63.5457"/>
</g>
<!-- proc~crosspowerlaw -->
<g id="proc~~updatetransportmodel~~CallsGraph_node5" class="node">
<title>proc~crosspowerlaw</title>
<g id="a_proc~~updatetransportmodel~~CallsGraph_node5"><a xlink:href=".././proc/crosspowerlaw.html" xlink:title="crossPowerlaw">
<polygon fill="#d9534f" stroke="#d9534f" points="241.5,-24 157.5,-24 157.5,0 241.5,0 241.5,-24"/>
<text text-anchor="middle" x="199.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">crossPowerlaw</text>
</a>
</g>
</g>
<!-- proc~updatetransportmodel&#45;&gt;proc~crosspowerlaw -->
<g id="proc~~updatetransportmodel~~CallsGraph_edge4" class="edge">
<title>proc~updatetransportmodel&#45;&gt;proc~crosspowerlaw</title>
<path fill="none" stroke="#000000" d="M86.897,-62.853C108.7045,-53.0044 139.6366,-39.0351 163.5647,-28.2289"/>
<polygon fill="#000000" stroke="#000000" points="165.0124,-31.4155 172.6856,-24.1097 162.1313,-25.0359 165.0124,-31.4155"/>
</g>
<!-- proc~strainrate -->
<g id="proc~~updatetransportmodel~~CallsGraph_node6" class="node">
<title>proc~strainrate</title>
<g id="a_proc~~updatetransportmodel~~CallsGraph_node6"><a xlink:href=".././proc/strainrate.html" xlink:title="strainRate">
<polygon fill="#d94e8f" stroke="#d94e8f" points="340,-87 279,-87 279,-63 340,-63 340,-87"/>
<text text-anchor="middle" x="309.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">strainRate</text>
</a>
</g>
</g>
<!-- proc~herschelbulkley&#45;&gt;proc~strainrate -->
<g id="proc~~updatetransportmodel~~CallsGraph_edge5" class="edge">
<title>proc~herschelbulkley&#45;&gt;proc~strainrate</title>
<path fill="none" stroke="#000000" d="M225.969,-125.8148C231.6496,-123.0355 237.5736,-120.0107 243,-117 256.4161,-109.5565 270.8657,-100.5562 282.8573,-92.7996"/>
<polygon fill="#000000" stroke="#000000" points="285.0347,-95.5578 291.4903,-87.1569 281.2048,-89.6984 285.0347,-95.5578"/>
</g>
<!-- proc~birdcarreau&#45;&gt;proc~strainrate -->
<g id="proc~~updatetransportmodel~~CallsGraph_edge6" class="edge">
<title>proc~birdcarreau&#45;&gt;proc~strainrate</title>
<path fill="none" stroke="#000000" d="M234.0029,-89.4131C245.0015,-87.3134 257.2762,-84.97 268.6784,-82.7932"/>
<polygon fill="#000000" stroke="#000000" points="269.6766,-86.1659 278.8429,-80.8527 268.3639,-79.2901 269.6766,-86.1659"/>
</g>
<!-- proc~powerlaw&#45;&gt;proc~strainrate -->
<g id="proc~~updatetransportmodel~~CallsGraph_edge7" class="edge">
<title>proc~powerlaw&#45;&gt;proc~strainrate</title>
<path fill="none" stroke="#000000" d="M230.1411,-59.8497C242.0795,-62.1288 255.9367,-64.7743 268.6989,-67.2107"/>
<polygon fill="#000000" stroke="#000000" points="268.1627,-70.6715 278.6417,-69.1089 269.4754,-63.7956 268.1627,-70.6715"/>
</g>
<!-- proc~crosspowerlaw&#45;&gt;proc~strainrate -->
<g id="proc~~updatetransportmodel~~CallsGraph_edge8" class="edge">
<title>proc~crosspowerlaw&#45;&gt;proc~strainrate</title>
<path fill="none" stroke="#000000" d="M225.969,-24.1852C231.6496,-26.9645 237.5736,-29.9893 243,-33 256.4161,-40.4435 270.8657,-49.4438 282.8573,-57.2004"/>
<polygon fill="#000000" stroke="#000000" points="281.2048,-60.3016 291.4903,-62.8431 285.0347,-54.4422 281.2048,-60.3016"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>